ghc-7.0.4: The GHC API

LlvmCodeGen.Regs

Description

Deal with Cmm registers

Synopsis

- lmGlobalRegArg :: GlobalReg -> LlvmVar
- lmGlobalRegVar :: GlobalReg -> LlvmVar

# Documentation

lmGlobalRegArg :: GlobalReg -> LlvmVar Source

Get the LlvmVar function argument storing the real register

lmGlobalRegVar :: GlobalReg -> LlvmVar Source

Get the LlvmVar function variable storing the real register